Bug 118541 - [patch] security/libgcrypt update to 1.4.0
Summary: [patch] security/libgcrypt update to 1.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-11 01:40 UTC by Hirohisa Yamaguchi
Modified: 2008-02-28 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.85 KB, patch)
2007-12-11 01:40 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2007-12-11 01:40:01 UTC
	The new version of security/libgcrypt 1.4.0 has been released.
	Release notes: http://lists.gnupg.org/pipermail/gnupg-announce/2007q4/000263.html

Fix: The patch follows
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2007-12-11 01:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Hirohisa Yamaguchi 2007-12-11 02:14:15 UTC
And, following ports depend on libgcrypt might need to be changed, too.

emulators/libspectrum
emulators/fuse
graphics/telak
mail/wmbiff
net/wireshark
net/csync2
net/cyphesis
net-im/mcabber
security/gnupg
security/dirmngr
security/libksba
security/gnutls
security/gnome-keyring
security/gnutls-devel
security/vpnc
security/seccure
security/opencdk
security/gsasl
security/p5-Crypt-GCrypt
security/fiked
security/pinentry
security/gnupg2
textproc/libxslt
Comment 3 Tilman Keskinoz freebsd_committer 2007-12-11 08:10:36 UTC
Hello Hirohisa Yamaguchi,

Thanks for your work!

* Hirohisa Yamaguchi [ Dec 11, 2007 (03:14 )]:
> And, following ports depend on libgcrypt might need to be changed,  
> too.
>
> emulators/libspectrum
> emulators/fuse
> graphics/telak
> mail/wmbiff
> net/wireshark
> net/csync2
> net/cyphesis
> net-im/mcabber
> security/gnupg
> security/dirmngr
> security/libksba
> security/gnutls
> security/gnome-keyring
> security/gnutls-devel
> security/vpnc
> security/seccure
> security/opencdk
> security/gsasl
> security/p5-Crypt-GCrypt
> security/fiked
> security/pinentry
> security/gnupg2
> textproc/libxslt

As far as i read the announcement, the new version is incompatible  
with the old one,
so we need to check how many of these ports build with the new version.

If a significant number fails, we need a repocopy of the old version  
or fix them.


regards
tilman
Comment 4 Hirohisa Yamaguchi 2007-12-12 02:54:08 UTC
Hi,

At Tue, 11 Dec 2007 09:10:36 +0100,
Tilman Linneweh <arved@FreeBSD.org> wrote:
> As far as i read the announcement, the new version is incompatible
> with the old one,
> so we need to check how many of these ports build with the new version.

in the release announcement, it is said that it's upward compatible with the 1.2 series.

http://lists.gnupg.org/pipermail/gnupg-announce/2007q4/000263.html
| This is the new stable version of Libgcrypt and upward compatible
| with the 1.2 series.

so, upgrading is supposed to be easy.
Comment 5 Tilman Keskinoz freebsd_committer 2007-12-12 12:43:15 UTC
State Changed
From-To: open->suspended

Mark suspended until the ports-thaw is over
Comment 6 dfilter service freebsd_committer 2008-02-28 21:44:53 UTC
arved       2008-02-28 21:44:49 UTC

  FreeBSD ports repository

  Modified files:
    security/libgcrypt   Makefile distinfo pkg-plist 
  Log:
  Update to 1.4.0
  
  PR:             118541
  Submitted by:   Hirohisa Yamaguchi
  
  Revision  Changes    Path
  1.37      +10 -2     ports/security/libgcrypt/Makefile
  1.13      +3 -3      ports/security/libgcrypt/distinfo
  1.9       +15 -1     ports/security/libgcrypt/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Tilman Keskinoz freebsd_committer 2008-02-28 21:48:55 UTC
State Changed
From-To: suspended->closed

Committed, thanks!